Skip to main content
POST
/
v4
/
knowledge_graph
/
neo4j
/
task
/
Train Neo4J Task
curl --request POST \
  --url https://rag-prod.studio.lyzr.ai/v4/knowledge_graph/neo4j/task/ \
  --header 'Content-Type: multipart/form-data' \
  --header 'x-api-key: <api-key>' \
  --form file='@example-file' \
  --form 'schema_prompt=<string>' \
  --form 'extra_info=<string>'
import requests

url = "https://rag-prod.studio.lyzr.ai/v4/knowledge_graph/neo4j/task/"

files = { "file": ("example-file", open("example-file", "rb")) }
payload = {
"schema_prompt": "<string>",
"extra_info": "<string>"
}
headers = {"x-api-key": "<api-key>"}

response = requests.post(url, data=payload, files=files, headers=headers)

print(response.text)
const form = new FormData();
form.append('file', '<string>');
form.append('schema_prompt', '<string>');
form.append('extra_info', '<string>');

const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};

options.body = form;

fetch('https://rag-prod.studio.lyzr.ai/v4/knowledge_graph/neo4j/task/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


"Task successfully started."
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
{
"detail": "Processing Error: '123433' is not a valid ObjectId, it must be a 12-byte input or a 24-character hex string"
}

Authorizations

x-api-key
string
header
required

Query Parameters

rag_id
string
required

The unique identifier (ID) of the RAG system to train (e.g., a 24-character hex string).

Example:

"654c602a46c3b6d4e28741b0"

Body

multipart/form-data
file
file

The file to process for Neo4j knowledge graph training.

schema_prompt
string | null

Allowed nodes and relationships for the knowledge graph.

extra_info
string | null

Additional information (e.g., as a JSON string).

Response

Successful Response (Training task started).

The response is of type string.

Example:

"Task successfully started."